Page 6 of 14

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sun, 21 May 2017, 20:20
by 14themoon
Hi! I'm having a great deal of trouble installing Pale Moon on a new computer I just bought that has Debian 8 as its OS. Would I be better off using your version of Pale Moon than the installer that's on the "Pale Moon Linux" page? Every time I try to extract it I either get a full text layout or a flat out rejection that it won't work. I have Pale Moon installed on my laptop and I love it, but there definitely are some kinks in the installation process that need to be worked out. It shouldn't be this difficult. What would you suggest?

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Thu, 25 May 2017, 18:54
by stevepusser
Why not give the package a try, then? You can directly download the .deb package from the link at the bottom of the instructions and install that manually, preferably with gdebi, in Debian. If you like it, then you could add the repo for future updates.

I don't think that it could be made any easier in Debian, except to have the deb also automatically install the repo like many other browser debs do, but some people would probably object to that.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Wed, 31 May 2017, 18:30
by qwetrydavid
14themoon wrote:Hi! I'm having a great deal of trouble installing Pale Moon on a new computer I just bought that has Debian 8 as its OS. Would I be better off using your version of Pale Moon than the installer that's on the "Pale Moon Linux" page? Every time I try to extract it I either get a full text layout or a flat out rejection that it won't work. I have Pale Moon installed on my laptop and I love it, but there definitely are some kinks in the installation process that need to be worked out. It shouldn't be this difficult. What would you suggest?


I think what Steve meant to suggest is: try MX Linux :) Yes Debian is the biggest greatest project in Linux land, but it just takes too much effort to get it functional. I found it frankly too much to bother. MX is based on Debian stable, but additionally MX keeps a tonne of packages updated themselves. And developed their own set of great, distinct tools. All the advantages of Debian but none of the drawbacks. And to solve your concern: Steve's build of Pale Moon is right there a click away in MX's native Package Installer! And thereafter the thing will get updated before you even know there's a new release.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Wed, 31 May 2017, 23:36
by stevepusser
Well, yes, we like to think we're making it easier to use Debian with MX, as well as dealing as much as we can with the "stale program" issue many users complain about with vanilla Debian.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sun, 11 Jun 2017, 23:52
by stevepusser
I see that the OBS has now added support for building in Debian Stretch virtual machines, but Debian has dropped gcc-4.9 from Stretch, so I can't build against that. I'll have to see if building against the native gcc-6 in Stretch is going to work--thinking about looking how Sparky Linux is handling that and if their builds are stable.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sat, 17 Jun 2017, 00:22
by stevepusser
I managed to make and test some Stretch builds of Pale Moon by building the gcc-4.9 packages against Stretch's gcc-6, then building the Stretch version against those 4.9 packages, so added that to my main PM repo, just in time for the Stretch release tomorrow. :D

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sat, 17 Jun 2017, 07:19
by zorzi
Thanks Steve :)

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sat, 17 Jun 2017, 16:49
by stevepusser
stevepusser wrote:I managed to make and test some Stretch builds of Pale Moon by building the gcc-4.9 packages against Stretch's gcc-6, then building the Stretch version against those 4.9 packages, so added that to my main PM repo, just in time for the Stretch release tomorrow. :D


Edit: Just wanted to add that though the new Stretch version is built against gcc-4.9, it won't pull in any extra gcc-4.9 runtime packages. Instead, it will run on Stretch's gcc-6 runtimes, just as the static build directly from Pale Moon does.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sat, 17 Jun 2017, 18:21
by Walter Dnes
stevepusser wrote:Edit: Just wanted to add that though the new Stretch version is built against gcc-4.9, it won't pull in any extra gcc-4.9 runtime packages. Instead, it will run on Stretch's gcc-6 runtimes, just as the static build directly from Pale Moon does.

Did you run into any problems with the gcc-6.x build? I remember you had problems with a gcc-5.x build on a gcc-4.x distro. That, I can understand. I don't see why there should be problems with a native gcc-6.x build on a gcc-6.x distro. If anything, I'd be worried about ABI incompatabilities running a gcc-4.x-built binary on an otherwise gcc-6.x distro.

BTW, I've been running gcc-6.3.0-built Pale Moon ("unstable master") on my machines for a while. And more recently, I've switched my machines to entirely gcc-6.3.0. On Gentoo that involves recompiling over 530 packages. :crazy: Pale Moon continues to run fine.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sun, 18 Jun 2017, 01:04
by stevepusser
Apparently the Arch AUR tried that, but found them to be unstable: https://aur.archlinux.org/packages/pale ... mments=all


sekret commented on 2017-03-30 09:17

FYI, I built palemoon 27.2.1-1 with gcc 6.3.1-2 to see how the browser behaves. I get very frequent crashes without any real reason. I block any content other than 1st party css and images by default, so no bad javascript or flash issues cause those crashes.

This is not a bug report or anything, so no traces are attached. It's just a heads up for you guys: Don't build with gcc6, stick to gcc5 or if you want gcc4.


I don't know if Sparky Linux switched back to 4.9 because of the crashing issue or because the devs told them they need to if they want to use the brand.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sun, 09 Jul 2017, 23:28
by stevepusser
Pale Moon 27.4.0 is now in the repo, built from the github release that just appeared this afternoon.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Sun, 09 Jul 2017, 23:55
by Nigaikaze
stevepusser wrote:Pale Moon 27.4.0 is now in the repo, built from the github release that just appeared this afternoon.

But ... it has not officially been released yet .....

EDIT: FYI - viewtopic.php?f=37&t=10996&p=77009

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 02:03
by stevepusser
Nigaikaze wrote:
stevepusser wrote:Pale Moon 27.4.0 is now in the repo, built from the github release that just appeared this afternoon.

But ... it has not officially been released yet .....

EDIT: FYI - viewtopic.php?f=37&t=10996&p=77009


The gitrepo repo owner has to have made a decision to make the 27.4.0 release. It just doesn't happen on its own...

https://github.com/MoonchildProductions/Pale-Moon

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 02:27
by Walter Dnes

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 14:41
by trava90
The tag in the repo is not final until we actually release the binaries. Case-in-point: the original tag for 27.4 has been moved to a different commit just a couple hours ago in order to pick up some last minute changes before we ship it.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 15:07
by Moonchild
Steve, once again, do NOT build and publish any release of Pale Moon until I've published. Please take them down and wait until there is an official release.
I made the announcement sticky in this board for a very very good reason. You're pushing non-final and non-QAed versions of the browser out to users.

viewtopic.php?f=37&t=10996

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 16:39
by stevepusser
Sorry! I'm reverting the repo version to 27.3.0 right now.

Edit: I have noticed that the Stretch-based Sparky Linux switched their build to gcc-4.9, too. I guess it worked because at that time, Debian had not removed gcc-4.9 from the release, but if they are going to build the next release to their repo, they are going to have to build gcc-4.9 themselves and build against it, the same as I had to do with the Stretch OBS repo.

Pale Moon in their repo--I have surfed around it and can't find any gcc-4.9 yet. http://sparkylinux.org/repo/pool/main/p/palemoon/

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 17:00
by stevepusser
The reverted packages are building--users can downgrade from 27.4.0 by removing palemoon and then reinstalling it after the packages are finished, or force the version with something on the command line like

Code: Select all

sudo aptitude install palemoon=palemoon_27.3.0~repack-1


The OBS usually finishes the whole set of builds within an hour, but that varies depending on how many users are putting demands on it.

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 17:16
by JustOff
stevepusser wrote:I'm reverting the repo version to 27.3.0 right now.

It seems to me that palemoon is now completely gone from your repo :wtf:

UPD: And now it is back again 8-)

Re: Ubuntu 16.0.4, 15.10, 15.04, 14.04, Debian 8 Pale Moon repositories

Posted: Mon, 10 Jul 2017, 18:27
by Moonchild
Thanks for your quick response to correct, Steve.